Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 154791

Summary: [gimlet] default and euro unit LEs should not both be under Latin
Product: [Fedora] Fedora Reporter: Lawrence Lim <llim>
Component: iiimfAssignee: Jens Petersen <petersen>
Status: CLOSED DEFERRED QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: eng-i18n-bugs, tools-bugs
Target Milestone: ---Keywords: i18n
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-09-13 02:12:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 125997, 150221    

Description Lawrence Lim 2005-04-14 07:31:35 UTC
Description of problem:
At the moment when selecting Latin from the GIMLET, it provides two option,
default and UnitLE. Default is actually a dummy LE while UnitLE perform the
Latin conversion. I think Latin should conform to the convention used by other
languages/locale by separating default and UnitLE.

Version-Release number of selected component (if applicable):
iiimf-gnome-im-switcher-12.1.1-14.svn2476

How reproducible:
Always

Steps to Reproduce:
1.Add Latin from the GIMLET editor
2.Select Latin from GIMLET
3.
  
Actual results:
Latin provides 2 options

Expected results:
Latin provides no options perhaps

Additional info:

Comment 1 Jens Petersen 2005-05-17 06:55:37 UTC
So this is a default LE bug/rfe then.

Comment 2 Akira TAGOH 2005-05-17 07:46:24 UTC
depends on the implementation of gimlet. default LE is just designed to be used
on en_* locale. and labeling it to Latin is matter of gimlet. I'm not sure if
there is any way to separate them without referring the supported locale or with
other thing except the supported locale.

Comment 3 Jens Petersen 2005-05-17 08:38:46 UTC
Ok, changing the locale name of default LE would make defaultLE unused,
so until defaultLE can be dropped, we need to workaround this in gimlet instead.

Comment 4 Jens Petersen 2005-05-23 07:51:26 UTC
Perhaps a workaround for now would be to hide defaultLE in gimlet
if unitLE if installed.